Package org.eclipse.rdf4j.federated.evaluation.union

## Class ParallelPreparedUnionTask

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase<BindingSet>
  - - org.eclipse.rdf4j.federated.evaluation.union.ParallelPreparedUnionTask

- All Implemented Interfaces:
    `ParallelTask<BindingSet>`

      public class ParallelPreparedUnionTask
      extends ParallelTaskBase<BindingSet>

  A task implementation representing a prepared union, i.e. the prepared query is executed on the provided triple source.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BindingSet` | `bindings` |
    `protected Endpoint` | `endpoint` |
    `protected FilterValueExpr` | `filterExpr` |
    `protected String` | `preparedQuery` |
    `protected QueryInfo` | `queryInfo` |
    `protected ParallelExecutor<BindingSet>` | `unionControl` |

    - ### Fields inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `scheduledFuture`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParallelPreparedUnionTask​(ParallelExecutor<BindingSet> unionControl, String preparedQuery, Endpoint endpoint, BindingSet bindings, FilterValueExpr filterExpr, QueryInfo queryInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParallelExecutor<BindingSet>` | `getControl()` | return the controlling instance, e.g.
    `protected CloseableIteration<BindingSet,​QueryEvaluationException>` | `performTaskInternal()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `cancel, performTask, setScheduledFuture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTask

      `getQueryInfo`

- - ### Field Detail

    - #### endpoint

          protected final Endpoint endpoint

    - #### preparedQuery

          protected final String preparedQuery

    - #### bindings

          protected final BindingSet bindings

    - #### unionControl

          protected final ParallelExecutor<BindingSet> unionControl

    - #### filterExpr

          protected final FilterValueExpr filterExpr

    - #### queryInfo

          protected final QueryInfo queryInfo

  - ### Constructor Detail

    - #### ParallelPreparedUnionTask

          public ParallelPreparedUnionTask​(ParallelExecutor<BindingSet> unionControl,
                                           String preparedQuery,
                                           Endpoint endpoint,
                                           BindingSet bindings,
                                           FilterValueExpr filterExpr,
                                           QueryInfo queryInfo)

  - ### Method Detail

    - #### performTaskInternal

          protected CloseableIteration<BindingSet,​QueryEvaluationException> performTaskInternal()
                                                                                               throws Exception

      Specified by:
        `performTaskInternal` in class `ParallelTaskBase<BindingSet>`
      Throws:
        `Exception`

    - #### getControl

          public ParallelExecutor<BindingSet> getControl()

      Description copied from interface: `ParallelTask`
      return the controlling instance, e.g. in most cases the instance of a thread. Shared variables are used to inform the thread about new events.
      Returns:
        the control executor

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ParallelTaskBase<BindingSet>`